import java.util.Random;
import javax.swing.JPanel;
import java.awt.*;

/**
* @author Carlos O. Rios
* Collaboration Statement: I worked on the homework assignment alone, using only course materials.
*/

/**
* This is Homework 5 - Dart.java
* This class creates a dart for the Dartboard java program
* @version 1.0
*/

public class Dart

{
	/**
	* @param x, y, this will create a coordinate for the dart to land on the dartboard
	* @param score this will create a score based on the coordinate of the dart
	* @param MAX_X=500, MAX_Y=500 this will limit the x and y coordinates (respectively) of the dart on the board
	* @param deltax, deltay this will make the center of the board the area with the most points
	*/
	int x;
	int y;
	int score;
	final int  MAX_X=500;
	final int  MAX_Y=500;
	int deltax;
	int deltay;
	Random generator;

	/**
	* @param generator creates a randomization for the x and y coordinates
	*/
	
	public Dart()
	{
	 generator= new Random();
	}

 /**
 * @param x  picks a random x coordinate between 0 and 500
 * @param y  picks a random y coordinate  between 0 and 500
 * @param scoreresult generates the score of dart based on the x and y coordinates picked
 * @return  returns the dart's score based on the scoreresult calculation
 */
 
 	public int score()
	{
	x=generator.nextInt(500);
	y=generator.nextInt(500);
	
	
	 deltax=x-250;
	 deltay=y-250;
	 
	 int scoreresult = (int)Math.sqrt((deltax*deltax)+(deltay*deltay));
	 
	 return scoreresult;
	 }
	 
	public void draw(Graphics g)
	{
	 g.setColor (Color.yellow);
	 g.fillOval (x, y, 10, 10);
	}

	

}